Get Pick List
Returns a single pick list by ID.
Requires scope: pick_lists:read
Authentication
API_KEYstring
API Key authentication via header
Path parameters
id
Pick list ID.
Response
This endpoint returns an object.
id
Unique identifier for the pick list.
name
Display name of the pick list.
materialCount
Number of distinct material line items in this pick list.
kitCount
Number of kit line items in this pick list.
createdAt
ISO 8601 timestamp when the record was created.
updatedAt
ISO 8601 timestamp when the record was last updated.
note
Optional note or description for this pick list.
status
Current status of the pick list.
Allowed values:
fromLocation
Source location materials are picked from. null when the pick list has no source location, in which case adding a material requires materialDetailsId.
toLocation
Destination location materials are transferred to.
requestDate
Requested date for the pick (ISO 8601 date, e.g. 2026-03-25).
completedAt
ISO 8601 timestamp when the pick list was completed. null until it is completed.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Rate Limit Error